<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\JsonResponse;
use App\Models\Promotion;

class PromotionController extends Controller
{
    public function index(): JsonResponse
    {
        $promotions = Promotion::orderBy('sort_order', 'asc')->get();
        return response()->json([
            'status' => 'success',
            'data' => $promotions
        ]);
    }
}
